function initializeSalary() {
    $(document).ready(function () {
        $(".datepicker").datepicker()
            .on('changeDate', function () {
                $(this).datepicker('hide');
                $.fn.dataTable.reload($dataTable);
            });

        $dataTable = $('#mainGrid');
        $dataTable.DataTable({
            ajax: {
                url: $dataTable.attr('data-url'),
                data: function (d) {
                    d.Keywords = $("#Keywords").val();
                }
            },
            columns: [
                {
                    data: "AcKey", name: "AcKey", render: function (data, type, row, meta) {
                        if (type === 'display') {
                            var url = $(meta.settings.aoHeader[0][meta.col].cell).attr('data-url');
                            return "<a href=\"" + url + "?ackey=" + row.AcKey + "&worker=" + row.Worker + "&doctypes=P000\" target=\"_blank\">" + data + "</a>";
                        }

                        return data;
                    }
                },
                { data: "Period", name: "AcPeriod" },
                { data: "PaymentDate", name: "AdPaymentDate" },
                { data: "CalcDate", name: "AdDateCalc" },
                { data: "Name", name: "AcName" },
                { data: "Posted", name: "AcPosted", render: $.fn.dataTable.render.toggle(true, true), className: 'dt-body-center' }
            ]
        });

        var typingTimer;
        var doneTypingInterval = 600;
        $('#Keywords').off('keyup');
        $('#Keywords').on('keyup', function () {
            clearTimeout(typingTimer);
            typingTimer = setTimeout(function () { $.fn.dataTable.reload($dataTable); }, doneTypingInterval);
        });
    });

    function getEmployeeSalary() {
        console.log("get salary");
    }
}